<?php
defined('_JEXEC') or die;

class PlgContentAmazonPartnernet extends JPlugin {
	protected $autoloadLanguage = true;

	public function onContentBeforeDisplay($context, &$row, &$params, $page=0)
	{
		$parts = explode(".", $context);
		$texts = array("fulltext", "introtext", "text");

		if ($parts[0] != 'com_content') {
			return false;
		}
		foreach($texts as $t) {
			if(isset($row->$t)) {
				$row->$t = $this->replaceAmazonLink($row->$t, $this->params->get("refId", "aktienmaklerd-21"));
			}
		}
	}
	
	private function replaceAmazonLink($text, $refId) {
		$s = "|href=\"http([s]*)://www.amazon.([^/]*)/.*/dp/(.*)/ref=([^ ]*)\"|i";
		$r = "href=\"http$1://www.amazon.$2/exec/obidos/ASIN/$3/".$refId."/\"";
		return preg_replace($s, $r, $text);
	}
}
